searchNodes=[{"doc":"This module functions to access secrets in an Elixir application. Configuration is available for all secret providers: Provider specific configurations. Azure KeyVault configuration: config :ex_secrets , :providers , % { azure_key_vault : %{ tenant_id : &quot;tenant-id&quot; , client_id : &quot;client-id&quot; , client_secret : &quot;client-secret&quot; , key_vault_name : &quot;key-vault-name&quot; } Azure Managed Identity Configuration: config :ex_secrets , :providers , % { azure_managed_identity : %{ key_vault_name : &quot;KKEYvault-name&quot; } Dotenv file: config :ex_secrets , :providers , %{ dot_env : %{ path : &quot;/path/.env&quot; } } )","ref":"ExSecrets.html","title":"ExSecrets","type":"module"},{"doc":"","ref":"ExSecrets.html#clear_cache/0","title":"ExSecrets.clear_cache/0","type":"function"},{"doc":"Get secret value","ref":"ExSecrets.html#get/1","title":"ExSecrets.get/1","type":"function"},{"doc":"Get secret value with provider name","ref":"ExSecrets.html#get/2","title":"ExSecrets.get/2","type":"function"},{"doc":"Get secret value with provider name and default value","ref":"ExSecrets.html#get/3","title":"ExSecrets.get/3","type":"function"},{"doc":"","ref":"ExSecrets.html#get_using_provider/2","title":"ExSecrets.get_using_provider/2","type":"function"},{"doc":"","ref":"ExSecrets.html#reset/0","title":"ExSecrets.reset/0","type":"function"},{"doc":"","ref":"ExSecrets.Application.html","title":"ExSecrets.Application","type":"module"},{"doc":"","ref":"ExSecrets.Application.html#get_providers/0","title":"ExSecrets.Application.get_providers/0","type":"function"},{"doc":"","ref":"ExSecrets.Application.html#get_providers/1","title":"ExSecrets.Application.get_providers/1","type":"function"},{"doc":"Callback implementation for Application.start/2 .","ref":"ExSecrets.Application.html#start/2","title":"ExSecrets.Application.start/2","type":"function"},{"doc":"","ref":"ExSecrets.Cache.html","title":"ExSecrets.Cache","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExSecrets.Cache.html#child_spec/1","title":"ExSecrets.Cache.child_spec/1","type":"function"},{"doc":"","ref":"ExSecrets.Cache.html#get/1","title":"ExSecrets.Cache.get/1","type":"function"},{"doc":"","ref":"ExSecrets.Cache.html#pass_by/2","title":"ExSecrets.Cache.pass_by/2","type":"function"},{"doc":"","ref":"ExSecrets.Cache.html#save/2","title":"ExSecrets.Cache.save/2","type":"function"},{"doc":"","ref":"ExSecrets.Cache.html#start_link/1","title":"ExSecrets.Cache.start_link/1","type":"function"},{"doc":"","ref":"ExSecrets.HTTPAdapterBehavior.html","title":"ExSecrets.HTTPAdapterBehavior","type":"behaviour"},{"doc":"","ref":"ExSecrets.HTTPAdapterBehavior.html#c:get/2","title":"ExSecrets.HTTPAdapterBehavior.get/2","type":"callback"},{"doc":"","ref":"ExSecrets.HTTPAdapterBehavior.html#c:post/3","title":"ExSecrets.HTTPAdapterBehavior.post/3","type":"callback"},{"doc":"Azure Key Vault provider provides secrets from an Azure Key Vault through a rest API.","ref":"ExSecrets.Providers.AzureKeyVault.html","title":"ExSecrets.Providers.AzureKeyVault","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExSecrets.Providers.AzureKeyVault.html#child_spec/1","title":"ExSecrets.Providers.AzureKeyVault.child_spec/1","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.get/1 .","ref":"ExSecrets.Providers.AzureKeyVault.html#get/1","title":"ExSecrets.Providers.AzureKeyVault.get/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"ExSecrets.Providers.AzureKeyVault.html#init/1","title":"ExSecrets.Providers.AzureKeyVault.init/1","type":"function"},{"doc":"","ref":"ExSecrets.Providers.AzureKeyVault.html#process_name/0","title":"ExSecrets.Providers.AzureKeyVault.process_name/0","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.reset/0 .","ref":"ExSecrets.Providers.AzureKeyVault.html#reset/0","title":"ExSecrets.Providers.AzureKeyVault.reset/0","type":"function"},{"doc":"","ref":"ExSecrets.Providers.AzureKeyVault.html#start_link/1","title":"ExSecrets.Providers.AzureKeyVault.start_link/1","type":"function"},{"doc":"Azure Key Vault provider provides secrets from an Azure Key Vault through a rest API.","ref":"ExSecrets.Providers.AzureManagedIdentity.html","title":"ExSecrets.Providers.AzureManagedIdentity","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExSecrets.Providers.AzureManagedIdentity.html#child_spec/1","title":"ExSecrets.Providers.AzureManagedIdentity.child_spec/1","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.get/1 .","ref":"ExSecrets.Providers.AzureManagedIdentity.html#get/1","title":"ExSecrets.Providers.AzureManagedIdentity.get/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"ExSecrets.Providers.AzureManagedIdentity.html#init/1","title":"ExSecrets.Providers.AzureManagedIdentity.init/1","type":"function"},{"doc":"","ref":"ExSecrets.Providers.AzureManagedIdentity.html#process_name/0","title":"ExSecrets.Providers.AzureManagedIdentity.process_name/0","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.reset/0 .","ref":"ExSecrets.Providers.AzureManagedIdentity.html#reset/0","title":"ExSecrets.Providers.AzureManagedIdentity.reset/0","type":"function"},{"doc":"","ref":"ExSecrets.Providers.AzureManagedIdentity.html#start_link/1","title":"ExSecrets.Providers.AzureManagedIdentity.start_link/1","type":"function"},{"doc":"","ref":"ExSecrets.Providers.Base.html","title":"ExSecrets.Providers.Base","type":"module"},{"doc":"","ref":"ExSecrets.Providers.Behaviour.html","title":"ExSecrets.Providers.Behaviour","type":"behaviour"},{"doc":"","ref":"ExSecrets.Providers.Behaviour.html#c:get/1","title":"ExSecrets.Providers.Behaviour.get/1","type":"callback"},{"doc":"","ref":"ExSecrets.Providers.Behaviour.html#c:reset/0","title":"ExSecrets.Providers.Behaviour.reset/0","type":"callback"},{"doc":"","ref":"ExSecrets.Providers.DotEnv.html","title":"ExSecrets.Providers.DotEnv","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExSecrets.Providers.DotEnv.html#child_spec/1","title":"ExSecrets.Providers.DotEnv.child_spec/1","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.get/1 .","ref":"ExSecrets.Providers.DotEnv.html#get/1","title":"ExSecrets.Providers.DotEnv.get/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"ExSecrets.Providers.DotEnv.html#init/1","title":"ExSecrets.Providers.DotEnv.init/1","type":"function"},{"doc":"","ref":"ExSecrets.Providers.DotEnv.html#process_name/0","title":"ExSecrets.Providers.DotEnv.process_name/0","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.reset/0 .","ref":"ExSecrets.Providers.DotEnv.html#reset/0","title":"ExSecrets.Providers.DotEnv.reset/0","type":"function"},{"doc":"","ref":"ExSecrets.Providers.DotEnv.html#start_link/1","title":"ExSecrets.Providers.DotEnv.start_link/1","type":"function"},{"doc":"","ref":"ExSecrets.Providers.SystemEnv.html","title":"ExSecrets.Providers.SystemEnv","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExSecrets.Providers.SystemEnv.html#child_spec/1","title":"ExSecrets.Providers.SystemEnv.child_spec/1","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.get/1 .","ref":"ExSecrets.Providers.SystemEnv.html#get/1","title":"ExSecrets.Providers.SystemEnv.get/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"ExSecrets.Providers.SystemEnv.html#init/1","title":"ExSecrets.Providers.SystemEnv.init/1","type":"function"},{"doc":"","ref":"ExSecrets.Providers.SystemEnv.html#process_name/0","title":"ExSecrets.Providers.SystemEnv.process_name/0","type":"function"},{"doc":"Callback implementation for ExSecrets.Providers.Behaviour.reset/0 .","ref":"ExSecrets.Providers.SystemEnv.html#reset/0","title":"ExSecrets.Providers.SystemEnv.reset/0","type":"function"},{"doc":"","ref":"ExSecrets.Providers.SystemEnv.html#start_link/1","title":"ExSecrets.Providers.SystemEnv.start_link/1","type":"function"},{"doc":"","ref":"ExSecrets.Utils.Config.html","title":"ExSecrets.Utils.Config","type":"module"},{"doc":"","ref":"ExSecrets.Utils.Config.html#provider_config_value/2","title":"ExSecrets.Utils.Config.provider_config_value/2","type":"function"},{"doc":"","ref":"ExSecrets.Utils.Config.html#provider_env/1","title":"ExSecrets.Utils.Config.provider_env/1","type":"function"},{"doc":"","ref":"ExSecrets.Utils.Resolver.html","title":"ExSecrets.Utils.Resolver","type":"module"},{"doc":"","ref":"ExSecrets.Utils.Resolver.html#call/1","title":"ExSecrets.Utils.Resolver.call/1","type":"function"},{"doc":"","ref":"ExSecrets.Utils.SecretFetchLimiter.html","title":"ExSecrets.Utils.SecretFetchLimiter","type":"module"},{"doc":"","ref":"ExSecrets.Utils.SecretFetchLimiter.html#allow/4","title":"ExSecrets.Utils.SecretFetchLimiter.allow/4","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExSecrets.Utils.SecretFetchLimiter.html#child_spec/1","title":"ExSecrets.Utils.SecretFetchLimiter.child_spec/1","type":"function"},{"doc":"","ref":"ExSecrets.Utils.SecretFetchLimiter.html#start_link/1","title":"ExSecrets.Utils.SecretFetchLimiter.start_link/1","type":"function"},{"doc":"","ref":"ExSecrets.Utils.SecretFetchLimiter.html#track/1","title":"ExSecrets.Utils.SecretFetchLimiter.track/1","type":"function"},{"doc":"","ref":"ExSecrets.Exceptions.InvalidConfiguration.html","title":"ExSecrets.Exceptions.InvalidConfiguration","type":"exception"},{"doc":"","ref":"ExSecrets.Exceptions.UnknowProvider.html","title":"ExSecrets.Exceptions.UnknowProvider","type":"exception"}]